IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_datosComponentes]') AND type in (N'P', N'PC'))
BEGIN
	execute('
		CREATE PROCEDURE [dbo].[sel_datosComponentes] 
			@p_idEquipo int
		AS
		BEGIN
	
			SET NOCOUNT ON;

			select
				ea.id id, 
				ca.atributo campo,
				case when ea.id_opcionAtributo = 0 then ea.equipoAtributo else ea.equ_opcionAtributo_opcionAtributo end valor,
				ca.cat_seccionAtributo_seccionAtributo seccion,
				ca.esObligatorio editable,
				ca.cat_seccionAtributo_seccionAtributo_codigo tiposeccion,
				ca.cat_seccionAtributo_orden ordenseccion,
				pcla.orden ordencampo
			from view_cat_atributo ca
				inner join view_equ_equipoAtributo ea
			on ea.id_atributo = ca.id
				inner join view_cat_pruebaCheckList_atributo pcla
			on pcla.id_pruebaCheckList = ea.id_pruebaChecklist and pcla.id_atributo = ea.id_atributo
			where ea.id_equipo = @p_idEquipo or ea.id_equipo in (select id from equ_equipo where id_equipo = @p_idEquipo and active = 1) 
			order by ca.cat_seccionAtributo_orden, pcla.orden
	END
	')
END
